org.apache.cassandra.cql3.statements

## Class UpdateStatement.ParsedInsertJson

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.ModificationStatement.Parsed
      - - org.apache.cassandra.cql3.statements.UpdateStatement.ParsedInsertJson

Enclosing class:
  UpdateStatement

    public static class UpdateStatement.ParsedInsertJson
    extends ModificationStatement.Parsed

A parsed INSERT JSON statement.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

`type`

### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

`cfName`

### Constructor Summary

Constructors
Constructor and Description
`ParsedInsertJson(CFName name, Attributes.Raw attrs, Json.Raw jsonValue, boolean defaultUnset, boolean ifNotExists)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ModificationStatement` `prepareInternal(CFMetaData cfm, VariableSpecifications boundNames, Conditions conditions, Attributes attrs)`

### Methods inherited from class org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

`getColumnDefinition, newRestrictions, prepare, prepare`

### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

`columnFamily, keyspace, prepareKeyspace, prepareKeyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, getFunctions, setBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParsedInsertJson

    public ParsedInsertJson(CFName name,
                            Attributes.Raw attrs,
                            Json.Raw jsonValue,
                            boolean defaultUnset,
                            boolean ifNotExists)

### Method Detail

#### prepareInternal

    protected ModificationStatement prepareInternal(CFMetaData cfm,
                                                    VariableSpecifications boundNames,
                                                    Conditions conditions,
                                                    Attributes attrs)

Specified by:
  `prepareInternal` in class `ModificationStatement.Parsed`